lib/aia/aia_completion.bash in aia-0.5.0 vs lib/aia/aia_completion.bash in aia-0.5.1
- old
+ new
@@ -1,11 +1,11 @@
# lib/aia/aia_completion.bash
# Setup a prompt completion for use with
# the bash shell
#
# This script assumes that the system environment
-# variable PROMPTS_DIR has been set correctly
+# variable AIA_PROMPTS_DIR has been set correctly
_aia_completion() {
# The current word being completed
local cur_word="${COMP_WORDS[COMP_CWORD]}"
@@ -16,10 +16,10 @@
local initial_pwd=$(pwd)
# Check if we are currently completing the option that requires prompt IDs
if [[ "$prev_word" == "aia" ]]; then
# Change directory to the prompts directory
- cd "$PROMPTS_DIR" || return
+ cd "$AIA_PROMPTS_DIR" || return
# Generate a list of relative paths from the ~/.prompts directory (without .txt extension)
local files=($(find . -name "*.txt" -type f | sed 's|^\./||' | sed 's/\.txt$//'))
# Change back to the initial directory